TRANSMISSIONCLI(1)

NAME
transmissioncli - a bittorrent client

SYNOPSIS
transmissioncli -h
transmissioncli [-v [level]] -i torrent-file
transmissioncli [-v [level]] -s torrent-file
transmissioncli [-v [level]] [-p port] [-d download-rate] [-u upload-rate] [-f script] [-o output-dir] [-n] torrent-file
transmissioncli [-v [level]] -c source-file -a announce-url [-p port] [-m comment] output-file

DESCRIPTION
The transmissioncli program is a lightweight, command-line BitTorrent client with scripting capabilities.

The options are as follows:

-c, --create-from source-file
    Create torrent from the specified source file.

-a, --announce announce-url
    Specifies the announce-url the new torrent will use. Can only be used in conjunction with -c or --create-from.

-r, --private
    Sets the private flag for the new torrent. Can only be used in conjunction with -c or --create-from.

-m, --comment comment-text
    This optional parameter adds a comment to the new torrent. Can only be used in conjunction with -c or --create-from.

-h, --help
    Prints a short usage summary.

-i, --info
    Shows information from the specified torrent file, such as the cryptographic hash, the tracker, announcement, file size and file name.

-o, --output-dir directory
    Uses the specified directory as destination for downloaded data.

-s, --scrape
    Prints the number of seeders and leechers for the specified torrent file, and exits.

-v, --verbose [level]
    Sets debugging options. You can use both many -v flags, or a -v level. The current available levels are 0-2, with the highest level producing the most output. The default is 0.

-n, --nat-traversal
    Attempt to use the NAT-PMP and UPnP IGD protocols to establish a port mapping for allowing incoming peer connections.

-p, --port port
    Specifies an alternate port for the client to listen on. The default is 51413.

-u, --upload upload-rate
    Specifies the maximum upload rate in kB/s, which defaults to 20. The level -1 may be used for unlimited uploads.

-d, --download download-rate
    Specifies the maximum download rate in kB/s, which defaults to -1 for no download limit.

-f, --finish script
    Specifies a shell script to be executed upon successful download.

-y, --recheck
    Force a recheck of the torrent data.

SIGNALS
In addition to these options, sending transmissioncli a SIGHUP signal will contact the tracker for more peers.

FILES
~/.transmission
    Directory where transmissioncli keeps torrent information for future seeding and resume operations.

AUTHORS
The transmissioncli program was written by -nosplit Eric Petit <titer@m0k.org>, Josh Elsasser <josh@elsasser.org>, Charles Kerr <charles@rebelbase.com>, and Mitchell Livingston <livings124@gmail.com>.

SEE ALSO
transmission(1), transmission-daemon(1), transmission-proxy(1), transmission-remote(1)

http://www.transmissionbt.com/